Skip to content

Get the user's built-in field list

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get the user's built-in field list

Method name

ManagementClient.get_user_base_fields

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Request Response

Type: CustomFieldListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "targetType": "USER",
    "createdAt": "2022-03-17T05:23:01.567Z",
    "dataType": "ENUM",
    "key": "school",
    "label": "School",
    "description": "School",
    "visibleInAdminConsole": true,
    "visibleInUserCenter": true,
    "i18n": {
      "label": {
        "zh-CN": {
          "enabled": false,
          "value": "中文"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        },
        "zh-TW": {
          "enabled": false,
          "value": "繁體中文"
        }
      }
    },
    "options": "[{\"value\":\"pku\",\"label\":\"xxxxx\"}]"
  }
}

Data Structure

CustomFieldDto

NameTypeIs this field required?DescriptionSample value
targetTypestringyesTarget object type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
createdAtstringnoCreation time, only valid for custom fields, built-in fields do not have creation time.2022-03-17T05:23:01.567Z
dataTypestringyesData type, cannot be modified after setting.
- STRING: string type
- NUMBER: number type
- DATETIME: date type
- BOOLEAN: Boolean type
- ENUM: enumeration value type
STRING
keystringyesfield key, cannot conflict with the key of built-in fields, cannot be modified after setting.school
labelstringyesdisplay nameschool
descriptionstringnodetailed description informationschool
encryptedbooleannowhether to store encrypted. After enabling, newly added data of this field will be encrypted, and this parameter cannot be changed once set.
isUniquebooleanyeswhether it is a unique field. After enabling, the value reported by the current field will be uniquely verified. This parameter is only valid for fields with data types of strings and numbers.
userEditablebooleannoWhether the user can edit it. If it is a special field such as mobile phone number or email address, the user cannot modify it directly and needs to verify it first through verification code or other methods.
visibleInAdminConsolebooleanyesWhether it needs to be displayed in the GenAuth console:
- If it is a user-defined field, control whether it is displayed in the user details;
- If it is a department-defined field, control whether it is displayed in the department details;
- If it is a role extension field, control whether it is displayed in the role details.
true
visibleInUserCenterbooleannoWhether to display in the user's personal center (this parameter does not control whether the API interface is returned).true
i18nnoMulti-language display name Nested type: <a CustomFieldI18n.{"label":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"}}}
optionsarraynoEnumeration value type selection Nested type: <a CustomFieldSelectOption.[{"value":"pku","label":"xxxxx"}]

CustomFieldI18n

NameTypeIs it required?DescriptionSample value
labelYesMulti-language support field Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"},"ja-JP":{"enabled":false,"value":"日本語"}}

LangObject

NameTypeRequiredDescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nested type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Closed by default)
valuestringYesMultilingual content

CustomFieldSelectOption

NameTypeIs it required?DescriptionSample value
valuestringYesEnumeration value valuehust
labelstringYesEnumeration value labelHuazhong University of Science and Technology

Agent infrastructure for identity, memory, and web action.